#!/usr/local/bin/perl -w

=head1 NAME

00branch.t - testing of VCP::Branch services

=cut

use strict ;

use Carp ;
use Test ;
use VCP::Branch ;

## TODO: Add lots of tests to 00branch.t

my $b ;

my @tests = (
sub { $b = VCP::Branch->new() ; ok( ref $b, "VCP::Branch" ) },

sub { ok( ! $b->branch_id, ! 0 ) },

sub {
   $b->branch_id( "foo" ) ;
   ok $b->branch_id, "foo" ;
},

sub {
   $b->dest_branch_id( "foo" ) ;
   ok $b->dest_branch_id, "foo" ;
},

) ;

plan tests => scalar( @tests ) ;

$_->() for @tests ;
